Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core
Interface EMFFormsAdditionalRendererService<VELEMENT extends VElement>

Type Parameters:
  `VELEMENT` -

All Known Implementing Classes:
  LegacyAdditionalRendererService

    public interface EMFFormsAdditionalRendererService<VELEMENT extends VElement>

The EMFFormsAdditionalRendererService encapsulates the tester and the access to the `AbstractAdditionalSWTRenderer`.

Author:
  Eugen Neufeld

Method Summary
`Collection<AbstractAdditionalSWTRenderer<VELEMENT>>` | `getRendererInstances(VELEMENT vElement, ViewModelContext viewModelContext)` Returns a collection of renderers.
`boolean` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the `AbstractAdditionalSWTRenderer` provided by `getRendererInstances(VElement, ViewModelContext)`.

Method Detail

### isApplicable

    boolean isApplicable(VElement vElement,
                         ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the `AbstractAdditionalSWTRenderer` provided by `getRendererInstances(VElement, ViewModelContext)`.

  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use
  Returns:
    true if the AbstractAdditionalSWTRenderer fits, false otherwise

### getRendererInstances

    Collection<AbstractAdditionalSWTRenderer<VELEMENT>> getRendererInstances(VELEMENT vElement,
                                                                             ViewModelContext viewModelContext)

  Returns a collection of renderers.

  Parameters:
    `vElement` - The `VElement` to create the renderer instance for
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    The collection of AbstractAdditionalSWTRenderers

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.